package scacchi.prova;

import scacchi.main.Comando;
import scacchi.main.Partita;
import scacchi.prova.PartitaScacchi;

import scacchi.main.ArgomentiComando.*;
import scacchi.main.EccezioniTesto.*;
import scacchi.main.EccezioniPartita.*;


/**
 * Classe che implementa la classe astratta {@link Comando} per
 * l'implementazione {@link scacchi.soluzione.PartitaScacchi}
 * dell'interfaccia {@link Partita}.
 * @see Comando
 */
public class ComandoScacchi extends Comando {

    /**
     * Crea una istanza di {@link scacchi.soluzione.PartitaScacchi} che
     * comincia dalla posizione iniziale del gioco.
     * @return Una nuova istanza di {@link scacchi.soluzione.PartitaScacchi}.
     */
    public Partita nuovaPartita() { return new PartitaScacchi(); };

    /**
     * Crea una istanza di {@link scacchi.soluzione.PartitaScacchi} che
     * comincia dalla posizione del gioco passata come argomento.
     * @param n {@inheritDoc}
     * @param l {@inheritDoc}
     * @return Una nuova istanza di {@link scacchi.soluzione.PartitaScacchi}.
     */
    public Partita nuovaPartita(int n, ListaPosPezziTesto l)
	throws PosizioneInizialeException { return new PartitaScacchi(n, l); }

    /**
     * Decompone e verifica una stringa con un comando.
     * @param s La stringa del comando.
     */
    public ComandoScacchi(String s) throws NotazioneException {	super(s); }
}
